# $Revision: 1.4 $, $Date: 2010/06/06 08:40:55 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	PAR
%define	pnam	Packer
Summary:	PAR::Packer - PAR Packager
#Summary(pl.UTF-8):	
Name:		perl-PAR-Packer
Version:	0.991
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/PAR/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	dcc41e19cedf917ffcb8acb3a97d1d1d
URL:		http://search.cpan.org/dist/PAR-Packer/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Archive-Zip >= 1
BuildRequires:	perl-Getopt-ArgvFile >= 1.07
BuildRequires:	perl-Module-ScanDeps >= 0.78
BuildRequires:	perl-PAR >= 0.977
BuildRequires:	perl-PAR-Dist >= 0.22
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements the App::Packer::Backend interface, for generating
stand-alone executables, perl scripts and PAR files.

# %description -l pl.UTF-8
# TODO

%package tkpp
Summary:	tkpp - frontend to pp written in Perl/Tk
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description tkpp
Tkpp is a GUI frontend to pp, which can turn perl scripts into stand-alone
PAR files, perl scripts or executables.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} -j1 \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/p*
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/PAR/*
%{perl_vendorlib}/App/Packer/*
%{_mandir}/man3/*
%{_mandir}/man1/p*

%files tkpp
%attr(755,root,root) %{_bindir}/tkpp
%{_mandir}/man1/tkpp*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PAR-Packer.spec,v $
Revision 1.4  2010/06/06 08:40:55  arekm
- release 2

Revision 1.3  2009/09/04 07:48:16  amateja
- updated to 0.991

Revision 1.2  2009/01/22 15:26:48  radek
- release 2: separated /usr/bin/tkpp (requires perl-Tk)

Revision 1.1  2009/01/22 14:11:52  radek
- new
